%define lib_major 0
%define lib_name %mklibname planner- 1 %{lib_major}

%define enable_postgresql 1
                                                                                
%{?_with_postgresql: %{expand: %%define enable_postgresql 1}}
%{?_without_postgresql: %{expand: %%define enable_postgresql 0}}


Summary: 	Planner is a project management application for GNOME
Name: 		planner
Version: 	0.11
Release: 	2mdk
License: 	GPL
Group: 		Office
Url:		http://planner.imendio.org/

Source0: 	ftp://ftp.gnome.org/pub/GNOME/sources/planner/planner-%{version}.tar.bz2
# (fc) 0.11-1mdk fix compilation of postgresql support
Patch0:		planner-0.11-postgresql.patch.bz2
# (fc) 0.11-1mdk fix library soname
Patch1:		planner-0.11-soname.patch.bz2

BuildRoot:	%_tmppath/%name-%version-%release-root
BuildRequires:	automake1.7
BuildRequires:	libglade2.0-devel
BuildRequires:	libgsf-devel
BuildRequires:	libgnomeprintui-devel >= 2.2
BuildRequires:	libgnomeui2-devel
BuildRequires:	libxslt-devel
BuildRequires:	perl-XML-Parser
%if %{enable_postgresql}
BuildRequires:	postgresql-devel
%endif
BuildRequires:	scrollkeeper >= 0.3
Requires: scrollkeeper >= 0.3
Obsoletes:	mrproject
Provides:	mrproject = %{version}-%{release}

%description
Planner is a project management application for GNOME.

It was formely known as MrProject.

%package -n %{lib_name}
Summary: %{summary}
Group: %{group}
                                                                                
%description -n %{lib_name}
A support library for accessing Planner data.
 
%package -n %{lib_name}-devel
Summary: The files needed for Planner application development. 
Group: Development/C
Requires: %{lib_name} = %{version}-%{release}
Provides: lib%{name}-1-devel
                                                                                
%description -n %{lib_name}-devel
This package contains the necessary include files
for developing applications that access Planner data.

 


%prep

%setup -q
%patch0 -p1 -b .postgresql
%patch1 -p1 -b .soname

#needed by patches 0 & 1
automake-1.7

%build

#we don't use libtool 1.5 yet
%define __libtoolize /bin/true

%configure2_5x
make

%install
rm -fr %$RPM_BUILD_ROOT

%makeinstall_std

install -d -m 0755 $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="planner" \
needs="x11" \
section="Office/Tasks management" \
title="Planner" \
longtitle="Project management tool" \
icon="%{_datadir}/pixmaps/gnome-planner.png" \
startup_notify="true"
EOF

%find_lang %{name} --with-gnome

%find_lang %{name}-libplanner

cat %{name}-libplanner.lang >> %{name}.lang

# remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/planner/views/*.la \
   $RPM_BUILD_ROOT%{_libdir}/planner/plugins/*.la \
   $RPM_BUILD_ROOT%{_libdir}/planner/file-modules/*.la \
   $RPM_BUILD_ROOT%{_libdir}/planner/storage-modules/*.la

# create cache files
touch $RPM_BUILD_ROOT%{_datadir}/gnome/help/%{name}/C/%name.html


%post
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi
if [ -x %{_bindir}/yelp-pregenerate ]; then %{_bindir}/yelp-pregenerate %{_datadir}/gnome/help/%{name}/*/%{name}.xml > /dev/null || true ; fi
%{update_menus}

%postun
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi
%{clean_menus}

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%clean
rm -fr %buildroot


%files -f %{name}.lang
%defattr(-,root,root)
%doc ChangeLog README COPYING
%{_bindir}/*
%{_libdir}/planner
%{_datadir}/application-registry/*
%{_datadir}/applications/*
%{_datadir}/mime-info/*
%{_datadir}/planner
%{_menudir}/*
%{_datadir}/pixmaps/*
%{_datadir}/omf/*
%ghost %{_datadir}/gnome/help/%{name}/C/%{name}.html

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%doc %{_datadir}/gtk-doc/html/libplanner
%{_libdir}/*.so
%{_libdir}/*.la
%{_includedir}/*
%{_libdir}/pkgconfig/*

%changelog
* Fri Jan 02 2004 Stefan van der Eijk <stefan@eijk.nu> 0.11-2mdk
- BuildRequires

* Tue Dec 02 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11-1mdk
- Planner is new name for MrProject
- Release 0.11
- Patch0 : fix compilation of postgreqsl support
- Patch1 : fix library soname

* Thu Nov 06 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10-1mdk
- Release 0.10
- Remove patch0 (merged upstream)

* Thu Oct 30 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.1-5mdk
- Patch0 (CVS): Fix crash in gantt view (Mdk bug #6217)

* Thu Sep 04 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.1-4mdk
- Fix BuildRequires

* Tue Apr 22 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.9.1-2mdk
- Fix BuildRequires

* Thu Apr 10 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.9.1-1mdk
- Release 0.9.1

* Tue Feb 18 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9-1mdk
- Release 0.9

* Tue Jan 21 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-1mdk
- Release 0.8

* Thu Jan 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7-2mdk
- Recompiled against latest openssl
- Enable startup_notify
- Generate yelp cache

* Fri Nov 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7-1mdk
- Release 0.7

* Mon Aug 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6-1mdk
- Release 0.6
- Remove patch0 (merged upstream)

* Thu Jul 18 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.93-2mdk
- Patch0 (CVS): close project property dialog when pressing close button

* Mon Jun 24 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.93-1mdk
- Release 0.5.93

* Fri Jun 14 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.92-1mdk
- Release 0.5.92 (GNOME2)

* Wed Jan 23 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.1-1mdk
- Release 0.5.1

* Tue Jan 15 2002 Stefan van der Eijk <stefan@eijk.nu> 0.5.0-3mdk
- BuildRequires
- Rebuild with libgal19

* Wed Jan 09 2002 David BAUDENS <baudens@mandrakesoft.com> 0.5.0-2mdk
- Fix menu entry
- Add missing files

* Thu Jan  3 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.0-1mdk
- Release 0.5.0
- Switch to implicit dependencies

* Fri Nov  9 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.1-2mdk
- Recompiled against latest gal

* Mon Oct 29 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.1-1mdk
- Release 0.4.1
- Patch0: fix compilation with latest bonobo

* Thu Sep 27 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.0-1mdk
- Release 0.4.0
- Compiled against libgal12

* Thu Aug 30 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.2-1mdk
- Release 0.3.2
- add menu entry

* Wed Aug 22 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.1-4mdk
- Add missing directories
- Recompiled against libgal11

* Fri Aug 10 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.1-3mdk
- Recompiled against latest gal

* Wed Jul 07 2001 Camille Begnis <camille@mandrakesoft.com> 0.3.1-2mdk
- RPM Sucks (now all files are there)
- Changed Copyright to License

* Fri Jun 29 2001 Camille Begnis <camille@mandrakesoft.com> 0.3.1-1mdk
- Stole spec from RH
